gntmenu.h File Reference
GNT (GLib Ncurses Toolkit)

Menu API. More...

`#include "gnttree.h"`
`#include "gntcolors.h"`
`#include "gntkeys.h"`
`#include "gntmenuitem.h"`

Go to the source code of this file.

## Data Structures

struct | _GntMenu
struct | _GntMenuClass

## Macros

#define | GNT_TYPE_MENU (gnt_menu_get_gtype())
#define | GNT_MENU(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), GNT_TYPE_MENU, GntMenu))
#define | GNT_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), GNT_TYPE_MENU, GntMenuClass))
#define | GNT_IS_MENU(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), GNT_TYPE_MENU))
#define | GNT_IS_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GNT_TYPE_MENU))
#define | GNT_MENU_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), GNT_TYPE_MENU, GntMenuClass))
#define | GNT_MENU_FLAGS(obj) (GNT_MENU(obj)->priv.flags)
#define | GNT_MENU_SET_FLAGS(obj, flags) (GNT_MENU_FLAGS(obj) |= flags)
#define | GNT_MENU_UNSET_FLAGS(obj, flags) (GNT_MENU_FLAGS(obj) &= ~(flags))

## Typedefs

typedef struct _GntMenu | GntMenu
typedef struct _GntMenuPriv | GntMenuPriv
typedef struct _GntMenuClass | GntMenuClass

## Enumerations

enum | GntMenuType { GNT_MENU_TOPLEVEL = 1, GNT_MENU_POPUP }
| A toplevel-menu is displayed at the top of the screen, and it spans accross the entire width of the screen. More...

## Functions

G_BEGIN_DECLS GType | gnt_menu_get_gtype (void)
GntWidget * | gnt_menu_new (GntMenuType type)
| Create a new menu. More...
void | gnt_menu_add_item (GntMenu *menu, GntMenuItem *item)
| Add an item to the menu. More...
GntMenuItem * | gnt_menu_get_item (GntMenu *menu, const char *id)
| Return the GntMenuItem with the given ID. More...

## Detailed Description

Menu API.

Definition in file gntmenu.h.

## Enumeration Type Documentation

enum GntMenuType

A toplevel-menu is displayed at the top of the screen, and it spans accross the entire width of the screen.

A popup-menu could be displayed, for example, as a context menu for widgets.

Definition at line 56 of file gntmenu.h.

## Function Documentation

void gnt_menu_add_item | ( | GntMenu * | menu,
|  | GntMenuItem * | item
| ) |  |

Add an item to the menu.

Parameters

  menu | The menu.
  item | The item to add to the menu.

G_BEGIN_DECLS GType gnt_menu_get_gtype | ( | void |  | ) |

Returns
  The GType for GntMenu.

GntMenuItem* gnt_menu_get_item | ( | GntMenu * | menu,
|  | const char * | id
| ) |  |

Return the GntMenuItem with the given ID.

Parameters

  menu | The menu.
  id | The ID for an item.

Returns
  The menuitem with the given ID, or `NULL`.

Since
  2.3.0

GntWidget* gnt_menu_new | ( | GntMenuType | type | ) |

Create a new menu.

Parameters

  type | The type of the menu, whether it's a toplevel menu or a popup menu.

Returns
  The newly created menu.